# Uses of Interface
org.apache.sling.testing.clients.util.config.InstanceConfig

Packages that use InstanceConfig
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.
org.apache.sling.testing.clients.util.config

## Uses of InstanceConfig in org.apache.sling.testing.clients.osgi

Classes in org.apache.sling.testing.clients.osgi that implement InstanceConfig
Modifier and Type
Class
Description
`class`
`OsgiInstanceConfig`
Allows saving and restoring the OSGiConfig to be used before and after altering OSGi configurations for tests
Methods in org.apache.sling.testing.clients.osgi that return InstanceConfig
Modifier and Type
Method
Description
`InstanceConfig`
OsgiInstanceConfig.`restore()`
Restore the current OSGi configuration for the PID defined in the constructor
`InstanceConfig`
OsgiInstanceConfig.`save()`
Save the current OSGi configuration for the PID defined in the constructor

## Uses of InstanceConfig in org.apache.sling.testing.clients.util.config

Subinterfaces of InstanceConfig in org.apache.sling.testing.clients.util.config
Modifier and Type
Interface
Description
`interface`
`InstanceConfigCache`
A cache for different `InstanceConfig` objects
Methods in org.apache.sling.testing.clients.util.config that return InstanceConfig
Modifier and Type
Method
Description
`InstanceConfig`
InstanceConfig.`restore()`
Restores the saved status of the configuration
`InstanceConfig`
InstanceConfig.`save()`
Saves the current status of the configuration